/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.model.lookup;

// Java classes

// Library classes

// Framework classes
import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

// ESR classes

/**
 * This is one of the classes of the Business Object Model (BOM). This class
 * represents an Relationship.
 * 
 * @author Andrew Pach
 * @version 3.0
 */
public class Relationship extends AbstractNamedActiveLookup {

	private static final long serialVersionUID = -7837280254332662162L;

    public static final Code CODE_AUNT = new Code("34");

	public static final Code CODE_BROTHER = new Code("11");

	public static final Code CODE_BROTHER_IN_LAW = new Code("15");

	public static final Code CODE_DAUGHTER = new Code("4");

	public static final Code CODE_DAUGHTER_IN_LAW = new Code("10");

	public static final Code CODE_FATHER = new Code("17");

	public static final Code CODE_FATHER_IN_LAW = new Code("21");

	public static final Code CODE_FOSTER_DAUGHTER = new Code("8");

	public static final Code CODE_FOSTER_SON = new Code("7");

	public static final Code CODE_GRANDDAUGHTER = new Code("28");

	public static final Code CODE_GRANDFATHER = new Code("23");

	public static final Code CODE_GRANDMOTHER = new Code("24");

	public static final Code CODE_GRANDSON = new Code("27");

	public static final Code CODE_GREATGRANDDAUGHTER = new Code("30");

	public static final Code CODE_GREATGRANDFATHER = new Code("25");

	public static final Code CODE_GREATGRANDMOTHER = new Code("26");

	public static final Code CODE_GREATGRANDSON = new Code("29");

	public static final Code CODE_MOTHER = new Code("18");

	public static final Code CODE_MOTHER_IN_LAW = new Code("22");

	public static final Code CODE_NEPHEW = new Code("31");

	public static final Code CODE_NIECE = new Code("32");

	public static final Code CODE_OTHER = new Code("99");

	public static final Code CODE_SELF = new Code("1");

	public static final Code CODE_SISTER = new Code("12");

	public static final Code CODE_SISTER_IN_LAW = new Code("16");

	public static final Code CODE_SON = new Code("3");

	public static final Code CODE_SON_IN_LAW = new Code("9");

	public static final Code CODE_SPOUSE = new Code("2");

	public static final Code CODE_STEPBROTHER = new Code("13");

	public static final Code CODE_STEPDAUGHTER = new Code("6");

	public static final Code CODE_STEPFATHER = new Code("19");

	public static final Code CODE_STEPMOTHER = new Code("20");

	public static final Code CODE_STEPSISTER = new Code("14");

	public static final Code CODE_STEPSON = new Code("5");

	public static final Code CODE_UNCLE = new Code("33");

	public static class Code extends AbstractCode {
		private static final long serialVersionUID = 6605207202484056850L;

        private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}

	/**
	 * Default constructor.
	 */
	public Relationship() {
		super();
	}
}
